The Author Online Book Forums are Moving

The Author Online Book Forums will soon redirect to Manning's liveBook and liveVideo. All book forum content will migrate to liveBook's discussion forum and all video forum content will migrate to liveVideo. Log in to liveBook or liveVideo with your Manning credentials to join the discussion!

Thank you for your engagement in the AoF over the years! We look forward to offering you a more enhanced forum experience.

newtriks (2) [Avatar] Offline
#1
Running db:seed I encountered the error:


rake aborted!
nil is not a symbol
/Users/development/.rvm/gems/ruby-1.9.3-p0/gems/devise-2.0.1/lib/devise/controllers/url_helpers.rb:63:in `_devise_route_context'
/Users/development/.rvm/gems/ruby-1.9.3-p0/gems/devise-2.0.1/lib/devise/controllers/url_helpers.rb:50:in `confirmation_url'


This has been identified as a bug in devise:

https://github.com/plataformatec/devise/issues/1648

And can easily be resolved by updating the Devise gem and adding the following to your Gemfile:

gem 'devise', '>= 2.0.4'
ryanbigg (423) [Avatar] Offline
#2
Re: 8.23 db/seeds.rb error and fix
The book doesn't say to use Devise 2.0.1 anywhere, that I know of anyway...

Nonetheless, when I update the book I'll be bumping this to the latest version of Devise.

I'd also strongly recommend against using >= in gem dependency specifications, as you will get major versions as well. Best to play it safe with the optimistic specifier as I cover here: http://ryanbigg.com/2011/01/why-you-should-run-bundle-update/.